<template>
    <div class="column is-paddingless">
        <div class="has-rounded-corners" id="map"></div> 
    </div>
</template>

<script lang="ts">
    import { Component, Vue } from 'vue-property-decorator';

    @Component
    export default class Map extends Vue { }
</script>

<style scoped>
    .column {
        height: 100%;
        width: 100%;
    }

    #map {
        height: 100%;
        width: 100%;
    }
</style>

<style>
    .mapboxgl-ctrl-group:not(:empty) {
        -webkit-box-shadow: none !important;
        box-shadow: none !important;
    }

    .mapboxgl-ctrl-top-left .mapboxgl-ctrl {
        margin: 20px 0 0 20px !important;
    }

    .mapboxgl-ctrl-group > button {
        width: 40px !important;
        height: 40px !important;
    }

    .mapboxgl-ctrl-group > button + button {
        border-top: none !important;
    }

    .mapboxgl-ctrl-logo {
        display: none !important;
    }

    .mapboxgl-ctrl.mapboxgl-ctrl-attrib {
        display: none !important;
    }
</style>
